Bulk Upload Attribute via CSV

Bulk upload attributes. If an attribute already exists, it is replaced. This endpoints accepts a CSV form upload. If there is an issue parsing any of the attributes, an error is thrown and attributes with issues are sent back with error messages. The maximum size for a CSV file is 1MB, and CSVs must be encoded as UTF-8. The attribute ID must start with a letter followed by a combination of dashes (-), underscores (_), letters (a-z A-Z), or numbers (0-9).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Access requirements

The Authorization Bearer (Admin API Key authorizing the request) must have one of the following roles and scopes:

Admin API Key roles accepted

  • API_ALL_GRANTED
  • API_ADMIN
  • API_WORKSPACE_ADMIN

Admin API scopes accepted

  • GLOBAL
  • WORKSPACE

To learn more about Admin API Key roles and scopes, see API keys overview.


Path Params
string
required

The project (workspace) associated with the attribute. After migration to Harness, get this value using the Get Projects (Workspaces) endpoint and the Harness project name.

string
required

The traffic type ID associated with the attribute

Form Data
string
Defaults to [ { "id": "anAttribute", "organizationId": "orgId", "trafficTypeId": "trafficTypeId", "displayName": "An Attribute", "description": "my description here", "dataType": "string", "suggestedValues": [ "suggested", "values" ] } ]
Headers
string
Defaults to Bearer ADMIN_API_KEY
Responses

Language
LoadingLoading…
Response
Choose an example:
application/json